package com.gingersoft.supply_chain.mvp.ui.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.gingersoft.supply_chain.R;
import com.gingersoft.supply_chain.mvp.bean.OutboundOrderBean;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

/**
 * @author 宇航.
 * User: admin
 * Date: 2021/3/19
 * Time: 18:59
 * Use:
 */
public class OutboundOrderAdapter extends BaseQuickAdapter<OutboundOrderBean, BaseViewHolder> {

    public OutboundOrderAdapter(@Nullable List<OutboundOrderBean> data) {
        super(R.layout.item_outbound_order, data);
    }

    @Override
    protected void convert(@NotNull BaseViewHolder viewHolder, OutboundOrderBean outboundOrderBean) {
        viewHolder.setText(R.id.tv_item_name,outboundOrderBean.getName());
        viewHolder.setText(R.id.tv_item_value,outboundOrderBean.getValue());
    }
}
